Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.context
Interface HierarchicalMessageSource

All Superinterfaces:
  MessageSource

All Known Implementing Classes:
  AbstractMessageSource, DelegatingMessageSource, ReloadableResourceBundleMessageSource, ResourceBundleMessageSource, StaticMessageSource

    public interface HierarchicalMessageSource

extends MessageSource

Sub-interface of MessageSource to be implemented by objects that can resolve messages hierarchically.

Author:
  Rod Johnson, Juergen Hoeller

Method Summary
`MessageSource` | `getParentMessageSource()` Return the parent of this MessageSource, or `null` if none.
`void` | `setParentMessageSource(MessageSource parent)` Set the parent that will be used to try to resolve messages that this object can't resolve.

Methods inherited from interface org.springframework.context.MessageSource
`getMessage, getMessage, getMessage`

Method Detail

### setParentMessageSource

    void setParentMessageSource(MessageSource parent)

  Set the parent that will be used to try to resolve messages that this object can't resolve.

  Parameters:
    `parent` - the parent MessageSource that will be used to resolve messages that this object can't resolve. May be `null`, in which case no further resolution is possible.

### getParentMessageSource

    MessageSource getParentMessageSource()

  Return the parent of this MessageSource, or `null` if none.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD